## qt6-charts 6.4.2

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(charts)

qt_examples_build_end()
