=== examples/charts/barmodelmapper/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(barmodelmapper LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/barmodelmapper")

find_package(Qt6 REQUIRED COMPONENTS Charts Core Gui)

qt_add_executable(barmodelmapper
    customtablemodel.cpp customtablemodel.h
    main.cpp
    tablewidget.cpp tablewidget.h
)

set_target_properties(barmodelmapper PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(barmodelmapper PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
)

install(TARGETS barmodelmapper
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
