=== debian/changelog ===
qt6-charts (6.4.2-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Apr 2023 17:03:54 -0700

qt6-charts (6.4.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 21 Feb 2023 15:47:05 -0300

qt6-charts (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Pass QT_HOST_PATH, thx to Helmut Grohne (Closes:
    #1030035).

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Feb 2023 21:43:24 +0100

qt6-charts (6.4.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 10:31:06 -0300

qt6-charts (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:26:24 +0100

qt6-charts (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6charts6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:43:52 +0100

qt6-charts (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:10 +0100

qt6-charts (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:13 +0100

qt6-charts (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:31:05 +0100

qt6-charts (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015618).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 12:05:38 +0100

qt6-charts (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 00:15:13 +0200

qt6-charts (6.3.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, just for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 07 Sep 2022 09:43:23 -0300
