=== debian/control ===
Source: qt6-charts
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.4.2+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git
Rules-Requires-Root: no

Package: libqt6charts6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: libqt6chartsqml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts Qml.

Package: qml6-module-qtcharts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 charts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package provides the QML module for Qt 6 charts.

Package: qt6-charts-dev
Provides: libqt6charts6-dev (= ${binary:Version})
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6charts6 (= ${binary:Version}),
         libqt6chartsqml6  (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libqt6charts6-dev (<< 6.3.1-3~)
Replaces: libqt6charts6-dev (<< 6.3.1-3~)
Description: Qt 6 charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using QtCharts.
