## qt6-charts 6.6.1

=== debian/changelog ===
qt6-charts (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6chartsqml6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 01:11:50 +0100

qt6-charts (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 18:19:38 +0200

qt6-charts (6.4.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042323).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 19:21:35 +0200

qt6-charts (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not install cmake-files for Qml plugins (Closes: #1035792).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 May 2023 12:25:19 +0200
