=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-multimedia-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-multimedia-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
