## qt6-charts 6.8.0

=== examples/charts/audio/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.16)
 project(audio LANGUAGES CXX)
-
-set(CMAKE_AUTOMOC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
     set(INSTALL_EXAMPLESDIR "examples")
@@ -10,6 +11,8 @@
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/audio")
 
 find_package(Qt6 REQUIRED COMPONENTS Charts Core Gui Multimedia)
+
+qt_standard_project_setup()
 
 qt_add_executable(audio
     main.cpp
@@ -20,6 +23,7 @@
 set_target_properties(audio PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
+    MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/apple/Info.cmake.plist"
 )
 
 target_link_libraries(audio PUBLIC
