=== debian/changelog ===
qt6-charts (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 13:35:40 +0800
