## qt6-charts 6.8.1

=== debian/changelog ===
qt6-charts (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:34:32 -0600
