=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: qt6-charts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-multimedia-dev (>= 6.8.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-multimedia-dev (>= 6.8.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git
@@ -40,7 +43,7 @@
 Package: qml6-module-qtcharts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6chartsqml6,
 Replaces: libqt6chartsqml6,
 Description: Qt 6 Charts QML module
@@ -56,7 +59,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqt6charts6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
+Depends: libqt6charts6 (= ${binary:Version}),
+         qml6-module-qtcharts (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
 Breaks: libqt6charts6-dev (<< 6.3.1-3~),
 Replaces: libqt6charts6-dev (<< 6.3.1-3~),
 Description: Qt 6 Charts - development files
@@ -94,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Charts examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
