## qt6-charts 6.9.1

=== debian/changelog ===
qt6-charts (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 12:58:23 +0200

qt6-charts (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Aug 2025 07:37:56 +0200
